# `Plushie.Event.TimerEvent`
[🔗](https://github.com/plushie-ui/plushie-elixir/blob/v0.7.2/lib/plushie/event/timer_event.ex#L1)

Timer tick events from `Plushie.Subscription.every/2`.

## Fields

- `tag` - the user-defined atom tag from the subscription registration
- `timestamp` - monotonic timestamp in milliseconds

## Pattern matching

    def update(model, %TimerEvent{tag: :tick}), do: %{model | ticks: model.ticks + 1}
    def update(model, %TimerEvent{tag: :animate, timestamp: ts}), do: animate(model, ts)

# `t`

```elixir
@type t() :: %Plushie.Event.TimerEvent{tag: atom(), timestamp: integer()}
```

---

*Consult [api-reference.md](api-reference.md) for complete listing*
